/*
 * MosP - Mind Open Source Project    http://www.mosp.jp/
 * Copyright (C) MIND Co., Ltd.       http://www.e-mind.co.jp/
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
/**
 * 画面読込時追加処理
 * @param 無し
 * @return 無し
 * @throws 実行時例外
 */
function onLoadExtra() {
	// 項目背景色設定
	setFieldsBgColor(ARY_FIELDS_ID,     COLOR_FIELD_NORMAL);
	setFieldsBgColor(ARY_ERR_FIELDS_ID, COLOR_FIELD_ERROR);
	// フォーカス設定
	//setFocus(PRM_TXT_COMMENT);
	// 項目長設定
	setMaxLength(PRM_TXT_COMMENT, LEN_COMMENT);
	// 更新不可
	if (MODE == 2) {
		setVisibility("btnApprove",false);
		setVisibility("btnReturn",false);
	}
	// 時間外警告
	setOverTimeBgColor();
}

/**
 * サーバー通信処理
 * @param 無し
 * @return 無し
 * @throws 実行時例外
 */
function submitForm(objForm, cmd) {
	// 入力チェック
	if (validate(cmd)) {
		// サーバー通信(入力エラー無の場合)
		if (cmd == "K2147") { 
			doSubmitMessage(objForm, cmd, 'QC2020', "");
		} else if (cmd == "K2148") {
			doSubmitMessage(objForm, cmd, 'QC2021', "");
		}
	}
}

/**
 * 入力チェック
 * @param 無し
 * @return チェック結果(true：OK、false：NG)
 * @throws 実行時例外
 */
function validate(cmd) {
	// フィールド背景色設定
	setFieldsBgColor(ARY_FIELDS_ID, COLOR_FIELD_NORMAL);
	// 入力チェック
	var aryMessage = new Array();
	if (cmd == 'K2148') {
		checkRequired(PRM_TXT_COMMENT, NAM_COMMENT, aryMessage);
		checkLength(PRM_TXT_COMMENT, LEN_COMMENT, NAM_COMMENT, aryMessage);	
	}

	if (aryMessage.length == 0) {
		return true;
	} else {
		showMessage(aryMessage);
		return false;
	}
}

function setOverTimeBgColor() {
	// 警告
	if (CAUTION) {
		setBgColor('divOverTime', 'yellow');
	}
	// 超過
	if (WARNING) {
		setBgColor('divOverTime', '#cc0000');
		setColor('divOverTime', 'white');
	}
}
